commit 006318b380c1a21f488bf86fb23153a7a05e7b22
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jan 15 01:18:10 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 2981398b16f..44e8f3b0479 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2022-01-14  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* ipa-param-manipulation.c (ipa_dump_adjusted_parameters): Dump
+	reverse flag as "reverse" for the sake of consistency.
+	* ipa-sra.c: Fix copyright year.
+	(ipa_sra_function_summaries::duplicate): Copy the reverse flag.
+	(dump_isra_access): Tweak dump line.
+	(isra_write_node_summary): Write the reverse flag.
+	(isra_read_node_info): Read it.
+	(pull_accesses_from_callee): Test its consistency and copy it.
+
 2022-01-13  Richard Biener  <rguenther@suse.de>
 
 	PR tree-optimization/101615
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b0d3d8e2752..52fea2ecbbc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220114
+20220115
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 328b5462925..6233f36fcc0 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,9 @@
+2022-01-14  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/lto25.adb: New test.
+	* gnat.dg/opt96.adb: Likewise.
+	* gnat.dg/opt96_pkg.ads, gnat.dg/opt96_pkg.adb: New helper.
+
 2022-01-13  Richard Biener  <rguenther@suse.de>
 
 	PR tree-optimization/101615

